std::exponential_distribution< _RealType >(3)

NAME
std::exponential_distribution< _RealType > - An exponential continuous distribution for random numbers.

SYNOPSIS

  Classes
struct param_type

  Public Types
typedef _RealType result_type

  Public Member Functions
exponential_distribution ()
Constructs an exponential distribution with inverse scale parameter 1.0.
exponential_distribution (_RealType __lambda)
Constructs an exponential distribution with inverse scale parameter $$.
exponential_distribution (const param_type &__p)
template<typename _ForwardIterator , typename _UniformRandomNumberGenerator > void __generate (_ForwardIterator __f, _ForwardIterator __t, _UniformRandomNumberGenerator &__urng)
template<typename _ForwardIterator , typename _UniformRandomNumberGenerator > void __generate (_ForwardIterator __f, _ForwardIterator __t, _UniformRandomNumberGenerator &__urng, const param_type &__p)
template<typename _UniformRandomNumberGenerator > void __generate (result_type *__f, result_type *__t, _UniformRandomNumberGenerator &__urng, const param_type &__p)
_RealType lambda () const
Returns the inverse scale parameter of the distribution.
result_type max () const
Returns the least upper bound value of the distribution.
result_type min () const
Returns the greatest lower bound value of the distribution.
template<typename _UniformRandomNumberGenerator > result_type operator() (_UniformRandomNumberGenerator &__urng)
Generating functions.
template<typename _UniformRandomNumberGenerator > result_type operator() (_UniformRandomNumberGenerator &__urng, const param_type &__p)
param_type param () const
Returns the parameter set of the distribution.
void param (const param_type &__param)
Sets the parameter set of the distribution.
void reset ()
Resets the distribution state.

  Friends
bool operator== (const exponential_distribution &__d1, const exponential_distribution &__d2)
Return true if two exponential distributions have the same parameters.

Detailed Description

  template<typename _RealType = double>
class std::exponential_distribution< _RealType >" An exponential continuous distribution for random numbers. The formula for the exponential probability density function is $p(x|) = e^{- x}$.

Distribution StatisticsMean$ac{1}{}$ Median$ac{ge$[0, infty]$ Standard Deviation$ac{1}{}$

Definition at line 4636 of file random.h.

Author

Generated automatically by Doxygen for libstdc++ from the source code.